﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GasolineTanker
{
    internal class EnityGasolineTanker
    {
        public int Speed { get; private set; }
        public float Weight { get; private set; }
        public Color BodyColor { get; private set; }
        public float Step => Speed * 100 / Weight;
        public EnityGasolineTanker(int speed, float weight, Color bodyColor)
        {
            Random rnd = new Random();
            Speed = speed <= 0 ? rnd.Next(50, 100) : speed;
            Weight = weight <= 0 ? rnd.Next(30, 60) : weight;
            BodyColor = bodyColor;
        }
    }
}
