﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GasolineTanker
{
    internal class EntityImprovedGasolineTanker : EnityGasolineTanker
    {
        public Color DopColor { get; private set; }
        public bool BodyKit { get; private set; }
        public bool OrnamentWheels { get; private set; }
        public EntityImprovedGasolineTanker(int speed, float weight, Color bodyColor, Color dopColor, bool bodyKit, bool ornamentWheels) :
            base(speed, weight, bodyColor)
        {
            DopColor = dopColor;
            BodyKit = bodyKit;
            OrnamentWheels = ornamentWheels;
        }
    }
}
